#
# spec file for package pax-utils
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pax-utils
Version:        1.2.2
Release:        bp153.1.16
Summary:        Tools to Check ELF Files for Security Relevant Properties
License:        GPL-2.0+
Group:          Productivity/Security
Url:            http://www.gentoo.org/proj/en/hardened/pax-utils.xml
Source:         http://dev.gentoo.org/~vapier/dist/pax-utils-%{version}.tar.xz
# backports
Patch0:         0001-dumpelf-check-for-invalid-section-entry-sizes.patch
Patch1:         0002-dumpelf-check-for-invalid-program-headers.patch
Patch2:         0003-dumpelf-check-for-invalid-notes.patch
Patch3:         0004-scanelf-check-range-of-hash-bucket.patch
# openSUSE patches
Patch20:        pax-utils-handle-lib64.patch
BuildRequires:  libcap-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Tools to check ELF files for security relevant properties such as
non-executable stack.

%prep
%autosetup -p1

%build
%configure
make %{?_smp_mflags} V=1

%install
%make_install

%files
%defattr(-,root,root)
%doc README.md TODO BUGS
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Thu Jan 18 2018 dimstar@opensuse.org
- Drop unknown parameter "-q" from autosetup.
* Mon Feb 27 2017 lnussel@suse.de
- update to 1.2.2
  * misc fd and memory leak fixes
  Add patches from git (boo#1026959)
  0004-scanelf-check-range-of-hash-bucket.patch
  0003-dumpelf-check-for-invalid-notes.patch
  0001-dumpelf-check-for-invalid-section-entry-sizes.patch
  0002-dumpelf-check-for-invalid-program-headers.patch
* Thu Nov  3 2016 aloisio@gmx.com
- Update to 1.1.6 (no changelog found)
- Spec cleanup
- Dropped pax-utils-file-contains-date-and-time.patch
* Mon Feb  9 2015 crrodriguez@opensuse.org
- Pax utils 0.9.2, no changelog found
- Update source URL.
- Switch to autoconf based build
- pax-utils-file-contains-date-and-time.patch: Do not
  include time stamps in binaries
- pax-utils-handle-lib64.patch replaces pax-utils-lib64.patch
* Mon Aug 19 2013 crrodriguez@opensuse.org
- pax-utils-lib64.patch: scanelf -l does not scan lib64 as
  it should in x86_64
* Fri Jun 19 2009 coolo@novell.com
- disable as-needed for this package as it fails to build with it
* Tue Apr  1 2008 lnussel@suse.de
- new version 0.1.16
  * mostly manpage and portability improvements
* Fri Jan 26 2007 lnussel@suse.de
- new version 0.1.15
  * Support added for displaying em_machine via %%a format flag in scanelf
  * Make scanelf_file_bind() not output anything if quiet mode and the ELF is
    static or not setuid.
  * pspax: new options -u and -g
* Tue Nov 14 2006 lnussel@suse.de
- new version 0.1.13
  * supports scanning archives and searching for specific sections
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan  9 2006 lnussel@suse.de
- new package pax-utils
